# Uses of Interface
org.opensaml.xacml.policy.ActionsType

Packages that use ActionsType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ActionsType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return ActionsType
Modifier and Type
Method
Description
`ActionsType`
TargetType.`getActions()`
Gets the actions of this target.
Methods in org.opensaml.xacml.policy with parameters of type ActionsType
Modifier and Type
Method
Description
`void`
TargetType.`setActions(ActionsType actions)`
Sets the actions in the target.

## Uses of ActionsType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ActionsType
Modifier and Type
Class
Description
`class`
`ActionsTypeImpl`
Implementation of `ActionsType`.
Fields in org.opensaml.xacml.policy.impl declared as ActionsType
Modifier and Type
Field
Description
`private ActionsType`
TargetTypeImpl.`actions`
The actions in the policy.
Methods in org.opensaml.xacml.policy.impl that return ActionsType
Modifier and Type
Method
Description
`ActionsType`
ActionsTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ActionsType`
ActionsTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ActionsType`
TargetTypeImpl.`getActions()`
Gets the actions of this target.
Methods in org.opensaml.xacml.policy.impl with parameters of type ActionsType
Modifier and Type
Method
Description
`void`
TargetTypeImpl.`setActions(ActionsType newActions)`
Sets the actions in the target.